<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', 'OrderController@createOrder')->name('home');

//Users
Route::get('/change', 'UserController@changePassword');
Route::post('/change', 'UserController@passwordUpdate')->name('changePassword');
Route::get('users', 'UserController@getUsers')->name("users");
Route::get('users/edit/{id}', 'UserController@edit')->name("users.edit");
Route::post('users/edit/{id}', 'UserController@update')->name("users.update");

//Orders
Route::get('order', 'OrderController@createOrder')->name('order');
Route::post('/order/new', 'OrderController@create')->name("order.create");
Route::get('/orders', 'OrderController@listDay')->name("order.list");
Route::get('/orders/refresh', 'OrderController@refreshListDay')->name("order.refresh");
Route::post('/order/start', 'OrderController@startOrder')->name("order.start");
Route::post('/order/end', 'OrderController@endOrder')->name("order.end");
Route::get('/order/print/{id}', 'OrderController@getOrder')->name("order.print");
Route::post('/order/cancel', 'OrderController@anularOrden')->name("order.anular");
Route::get('/allorders', 'OrderController@getOrders')->name("orders");
Route::post('/allorders/search', 'OrderController@getOrdersParameters')->name("orders.search");
Route::get('/allorders_new', 'OrderController@getOrdersNew')->name("orders_new");
Route::post('/allorders_new/search', 'OrderController@getOrdersParametersNew')->name("orders_new.search");

//clients
Route::get('client/search', 'ClientController@searchClient')->name('client.search');
Route::get('clientes', 'ClientController@getClientes')->name("clientes");
Route::get('clientes/edit/{id}', 'ClientController@edit')->name("clientes.edit");
Route::post('clientes/edit/{id}', 'ClientController@update')->name("clientes.update");
Route::get('/cliente/nuevo', 'ClientController@newp')->name("clientes.register");
Route::post('/cliente/crear', 'ClientController@create')->name("clientes.crear");

//Platillos
Route::get('platillos', 'PlatilloController@getPlatillos')->name("platillos");
Route::get('platillos/edit/{id}', 'PlatilloController@edit')->name("platillos.edit");
Route::post('platillos/edit/{id}', 'PlatilloController@update')->name("platillos.update");
Route::get('/platillos/nuevo', 'PlatilloController@newp')->name("platillos.register");
Route::post('/platillos/crear', 'PlatilloController@create')->name("platillos.crear");

//Ingredientes
Route::get('ingredientes', 'IngredientController@getIngredientes')->name("ingredientes");
Route::get('ingredientes/edit/{id}', 'IngredientController@edit')->name("ingredientes.edit");
Route::post('ingredientes/edit/{id}', 'IngredientController@update')->name("ingredientes.update");
Route::get('/ingrediente/nuevo', 'IngredientController@newp')->name("ingredientes.register");
Route::post('/ingrediente/crear', 'IngredientController@create')->name("ingredientes.crear");

//Ruta de Extras
Route::get('extras', 'ExtraController@getExtras')->name("extras");
Route::get('extras/edit/{id}', 'ExtraController@edit')->name("extras.edit");
Route::post('extras/edit/{id}', 'ExtraController@update')->name("extras.update");
Route::get('/extra/nuevo', 'ExtraController@newp')->name("extras.register");
Route::post('/extra/crear', 'ExtraController@create')->name("extras.crear");

//Categorías
Route::get('categorias', 'CategoryController@getCategorias')->name("categorias");
Route::get('categorias/edit/{id}', 'CategoryController@edit')->name("categorias.edit");
Route::post('categorias/edit/{id}', 'CategoryController@update')->name("categorias.update");
Route::get('/categoria/nuevo', 'CategoryController@newp')->name("categorias.register");
Route::post('/categoria/crear', 'CategoryController@create')->name("categorias.crear");


//Platillo-Ingrediente
Route::get('platillos_ingredientes/{id}', 'IngredientPlatilloController@getIngredientesPlatillo')->name("platillos_ingredientes");
Route::post('platillos_ingredientes/edit/{id}', 'IngredientPlatilloController@update')->name("platillos_ingredientes.update");
Route::post('/platillos_ingredientes/nuevo', 'IngredientPlatilloController@addRelation')->name("platillos_ingredientes.add");
Route::post('/platillo_ingrediente/crear', 'IngredientPlatilloController@create')->name("platillos_ingredientes.crear");
Route::post('/platillos_ingredientes/delete', 'IngredientPlatilloController@deleteRelation')->name("platillos_ingredientes.delete");
Route::post('/platillos_ingredientes/edit', 'IngredientPlatilloController@editRelation')->name("platillos_ingredientes.edit");

//SUCURSALES
Route::get('/list', 'SucursalController@index')->name('sucursal.index');
Route::get('/assignment/{id}', 'SucursalController@assignmentsBySucursal')->name('sucursal.assignments');
Route::get('/delete/{id}', 'SucursalController@deleteAssignmentsBySucursal')->name('sucursal.delete');
Route::get('/new/{id}', 'SucursalController@newAssignmentsBySucursal')->name('sucursal.new');
Route::get('/store/{idUser}/{idSucursal}', 'SucursalController@storeAssignmentsBySucursal')->name('sucursal.store');
Route::get('/create', 'SucursalController@create')->name('sucursal.create');
Route::post('/store', 'SucursalController@store')->name('sucursal.storesucursal');
Route::get('sucursal/edit/{id}', 'SucursalController@edit')->name("sucursal.edit");
Route::post('sucursal/update/{id}', 'SucursalController@update')->name("sucursal.update");

// Route::get('users', 'UserController@getUsers')->name("users");
// Route::get('users/edit/{id}', 'UserController@edit')->name("users.edit");
